: Class ResourceEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class ResourceEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceEditor

public class ResourceEditor
extends java.lang.Object
implements ResourceEditorInterface

Field Summary
`protected java.awt.Button[]` | `b`
`protected static java.lang.String` | `DELETE_L`
`protected java.awt.Label` | `message`
`protected static java.lang.String` | `REINDEX_L`
`protected java.util.Vector` | `rls`
`static java.lang.String` | `UNREMOVABLE_P`

Constructor Summary
`ResourceEditor(java.awt.Panel p)`

Method Summary
`void` | `addResourceListener(ResourceListener rl)` Add a Listener to this helper.
`void` | `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`void` | `commitChanges()` commit the changes (if any)
`protected void` | `delete()`
`RemoteResource` | `getValue()` Get the current value of the edited value
`boolean` | `hasChanged()` Tells if the edited value has changed
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties p)` initialize this editor
`protected void` | `processEvent(java.util.EventObject eo)`
`protected void` | `reindex()`
`void` | `removeResourceListener(ResourceListener rl)` Remove the listener from this helper.
`void` | `resetChanges()`
`void` | `setMessage(java.lang.String msg)`
`protected void` | `switchHelper(java.awt.Button toggled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNREMOVABLE_P

    public static final java.lang.String UNREMOVABLE_P

### rls

    protected java.util.Vector rls

### b

    protected java.awt.Button[] b

### message

    protected java.awt.Label message

### DELETE_L

    protected static final java.lang.String DELETE_L

### REINDEX_L

    protected static final java.lang.String REINDEX_L

Constructor Detail

### ResourceEditor

    public ResourceEditor(java.awt.Panel p)

Method Detail

### setMessage

    public void setMessage(java.lang.String msg)

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  Description copied from interface: ResourceEditorInterface
  commit the changes (if any)
  Specified by:
    commitChanges in interface ResourceEditorInterface
  Tags copied from interface: ResourceEditorInterface
  Throws:
    RemoteAccessException - if a remote access error occurs.

### resetChanges

    public void resetChanges()
                      throws RemoteAccessException

### switchHelper

    protected void switchHelper(java.awt.Button toggled)
                         throws RemoteAccessException

### reindex

    protected void reindex()

### delete

    protected void delete()

### hasChanged

    public boolean hasChanged()

  Description copied from interface: ResourceEditorInterface
  Tells if the edited value has changed
  Specified by:
    hasChanged in interface ResourceEditorInterface
  Tags copied from interface: ResourceEditorInterface
  Returns:
    true if the value changed.

### clearChanged

    public void clearChanged()

  Description copied from interface: ResourceEditorInterface
  set the current value to be the original value, ie: changed must return false after a reset.
  Specified by:
    clearChanged in interface ResourceEditorInterface

### getValue

    public RemoteResource getValue()

  Description copied from interface: ResourceEditorInterface
  Get the current value of the edited value
  Specified by:
    getValue in interface ResourceEditorInterface
  Tags copied from interface: ResourceEditorInterface
  Returns:
    a RemoteResource or null if the object was not initialized

### addResourceListener

    public void addResourceListener(ResourceListener rl)

  Description copied from interface: ResourceEditorInterface
  Add a Listener to this helper.
  Specified by:
    addResourceListener in interface ResourceEditorInterface
  Tags copied from interface: ResourceEditorInterface
  Parameters:
    `el` - a listener

### removeResourceListener

    public void removeResourceListener(ResourceListener rl)

  Description copied from interface: ResourceEditorInterface
  Remove the listener from this helper.
  Specified by:
    removeResourceListener in interface ResourceEditorInterface
  Tags copied from interface: ResourceEditorInterface
  Parameters:
    `el` - the listener to be removed.

### processEvent

    protected void processEvent(java.util.EventObject eo)

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties p)
                    throws RemoteAccessException

  initialize this editor
  Specified by:
    initialize in interface ResourceEditorInterface
  Parameters:
    `rrw` - The RemoteResourceWrapper
    `pr` - The properties
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD